io.swagger.client.api

## Class GraphProxyApi

- java.lang.Object
- - io.swagger.client.api.GraphProxyApi

-     public class GraphProxyApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphProxyApi()`
    `GraphProxyApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ContentResult` | `graphProxyUsersGet(String version)` Get Users from AAD Graph Proxies query parameters to AAD graph
    `com.squareup.okhttp.Call` | `graphProxyUsersGetAsync(String version, ApiCallback<ContentResult> callback)` Get Users from AAD Graph (asynchronously) Proxies query parameters to AAD graph
    `com.squareup.okhttp.Call` | `graphProxyUsersGetCall(String version, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for graphProxyUsersGet
    `ApiResponse<ContentResult>` | `graphProxyUsersGetWithHttpInfo(String version)` Get Users from AAD Graph Proxies query parameters to AAD graph
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphProxyApi

          public GraphProxyApi()

    - #### GraphProxyApi

          public GraphProxyApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### graphProxyUsersGetCall

          public com.squareup.okhttp.Call graphProxyUsersGetCall(String version,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for graphProxyUsersGet
      Parameters:
        `version` - The version for the graph api endpoint (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### graphProxyUsersGet

          public ContentResult graphProxyUsersGet(String version)
                                           throws ApiException

      Get Users from AAD Graph Proxies query parameters to AAD graph
      Parameters:
        `version` - The version for the graph api endpoint (required)
      Returns:
        ContentResult
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### graphProxyUsersGetWithHttpInfo

          public ApiResponse<ContentResult> graphProxyUsersGetWithHttpInfo(String version)
                                                                    throws ApiException

      Get Users from AAD Graph Proxies query parameters to AAD graph
      Parameters:
        `version` - The version for the graph api endpoint (required)
      Returns:
        ApiResponse<ContentResult>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### graphProxyUsersGetAsync

          public com.squareup.okhttp.Call graphProxyUsersGetAsync(String version,
                                                                  ApiCallback<ContentResult> callback)
                                                           throws ApiException

      Get Users from AAD Graph (asynchronously) Proxies query parameters to AAD graph
      Parameters:
        `version` - The version for the graph api endpoint (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2018. All rights reserved.